#!/bin/bash

FILES="sqlite/chr1.db
sqlite/chr2.db
sqlite/chr3.db
sqlite/chr4.db
sqlite/chr5.db
sqlite/chr6.db
sqlite/chr7.db
sqlite/chr8.db
sqlite/chr9.db
sqlite/chr10.db
sqlite/chr11.db
sqlite/chr12.db
sqlite/chr13.db
sqlite/chr14.db
sqlite/chr15.db
sqlite/chr16.db
sqlite/chr17.db
sqlite/chr18.db
sqlite/chr19.db
sqlite/chr20.db
sqlite/chr21.db
sqlite/chr22.db
sqlite/chrX.db
sqlite/chrY.db"


for file in $FILES
do
    
    if [ -e "$file" ]
    then
        rm -f $file;
    fi

    sqlite3 "$file" <<EOF

	CREATE TABLE donor ( 
	    id INTEGER PRIMARY KEY AUTOINCREMENT, 
        population VARCHAR(5),
	    code VARCHAR(10)
	);
	CREATE INDEX d_code ON donor (code);
	
	
	CREATE TABLE variant (
	    id INTEGER PRIMARY KEY,
	    position INTEGER,
	    variant VARCHAR(2),
	    chromosome INTEGER
	);
	CREATE INDEX v_position ON variant (position);
	CREATE INDEX v_variant ON variant (variant);
	CREATE INDEX v_chromosome ON variant (chromosome);
	CREATE INDEX v_pv ON variant (position,variant);
	
	
	CREATE TABLE donor_variant ( 
	    donor_id INTEGER,
	    variant_id INTEGER,
		PRIMARY KEY (donor_id, variant_id),
		FOREIGN KEY (donor_id) REFERENCES donor (id) ON DELETE CASCADE,
		FOREIGN KEY (variant_id) REFERENCES variant (id) ON DELETE CASCADE
	);
EOF
done
